Bug 195454 - Anaconda "new partition" dialog initial disk selection is invalid.
Anaconda "new partition" dialog initial disk selection is invalid.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2006-06-15 07:27 EDT by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-27 15:30:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2006-06-15 07:27:35 EDT
Description of problem:
When creating a new partition in using the Anaconda partitioning tool, the "new
partition" dialog box will auto-select all the available drives, no matter which
physical/logical drive has been selected by the user in the main "disk view"
root window,.

Version-Release number of selected component (if applicable):
<=Fedora Core 5.

How reproducible:

Steps to Reproduce:
1. Select a device (any device) in the main disk view root window.
2. Click on new.
Actual results:
The "new partition" dialog box drive selection will auto-select all the
available devices.

Expected results:
The "new partition" dialog box should auto-select the drive selected in step 1.

Additional info:
Comment 1 Hans Kristian Rosbach 2006-06-16 03:12:02 EDT
Also the default when creating a partition using the buttons (not selecting a
device) should not default to select any harddrive.
Today it selects all harddrives and that is an impossible selection.
Comment 2 Chris Lumens 2007-02-27 15:30:13 EST
It's not all that obvious, but this isn't a bug.  There are two different ways
to create a new partition - you can click the "New" button, or you can double
click a  free space partition on the drive display/click and press "Edit". 
There is a subtle distinction here.  If you just click the "New" button, you are
saying you want to create a new partition.  It doesn't matter what partitions
are highlighted, because you want to create an entirely new one.  However if you
select a partition and press edit, you are saying you want to edit the selected
partition.  That action may involve creating a new partition in that space.

This is tied in with how we represent free space internally.  It's represented
as a "partition", same as anything else.  It just has a filesystem type of free
space.  So, the above described behavior makes a little more sense that way.
Comment 3 Hans Kristian Rosbach 2007-02-27 15:49:33 EST
I don't see what that has to do with this.

I'm suggesting that the new partition dialog should not
select any disks by default. Today it selects all disks
on the system.

When I want to make say a swap partition on disk 1 and
press the new partition button it will automaticly
select disks 1-30 if I have that many in the system.
So I'll have to deselect disks 2-30 just to create the
partition. That default is not even a valid choice.

This same problem occurs when you want to create a raid
volume from raid partitions. It automaticly selects all
say 20 free raid partitions so you will have to remove
18 checkboxes in order to only set up a single mirror
on two of the partitions.

Does that make it any clearer?
I really hope you will consider reopening this bug.
Comment 4 Chris Lumens 2007-02-27 15:54:39 EST
That's a different bug from the original issue, which is what I was addressing.
 Perhaps I should have been clearer than that.  It looks like your issue is
tracked by bug 195636 which is still open.
Comment 5 Hans Kristian Rosbach 2007-02-27 16:00:53 EST
Ah, I see. Yes they are different and I'll settle for the other one.
Comment 6 Gilboa Davara 2007-02-28 09:49:41 EST
-If- Anaconda was the only available partitioning tool, I'd accept that fact
that highlighting a certain partition does not effect the "new partition"
dialog box.

However, tools such as gparted/qtparted/PQMagic/etc have developed a common HIG
language that people come to expect.
Heck, parts of said "language" can be found in text based partitioning tools
such as Debian, FreeBSD and Slackware.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.